<?php

class EstadoCivil
{
    private $db;

    public function __construct()
    {
        $this->db = new Database();
    }

    public function lerEstadosCivis()
    {
        $this->db->query("SELECT * FROM estados_civis WHERE removido IS NULL ORDER BY descricao");
        return $this->db->resultados();
    }

    public function lerEstadoCivilPorId($id)
    {
        $this->db->query("SELECT * FROM estados_civis WHERE id_estado_civil = :id AND removido IS NULL");
        $this->db->bind("id", $id);
        return $this->db->resultado();
    }

    public function armazenar($dados)
    {
        $this->db->query("
            INSERT INTO estados_civis (descricao, id_usuario)
            VALUES (:descricao, :id_usuario)
        ");
        $this->db->bind("descricao", $dados['descricao']);
        $this->db->bind("id_usuario", $dados['id_usuario']);
        return $this->db->executa();
    }

    public function atualizar($dados)
    {
        $this->db->query("
            UPDATE estados_civis SET
                descricao = :descricao,
                alterado = NOW()
            WHERE id_estado_civil = :id_estado_civil
        ");
        $this->db->bind("descricao", $dados['descricao']);
        $this->db->bind("id_estado_civil", $dados['id_estado_civil']);
        return $this->db->executa();
    }

    public function remover($id)
    {
        $this->db->query("UPDATE estados_civis SET removido = NOW() WHERE id_estado_civil = :id");
        $this->db->bind("id", $id);
        return $this->db->executa();
    }
}
